package com.srs.comprehensive.domain;

import java.util.Date;
import java.io.Serializable;

/**
 * (InfoStudent)实体类
 *
 * @author Chao
 * @since 2023-07-13 15:58:20
 */
public class InfoStudent implements Serializable {
    private static final long serialVersionUID = 140371594407576950L;

    private Integer id;
    /**
     * 学号
     */
    private String stuNo;
    /**
     * 姓名
     */
    private String name;
    /**
     * 性别
     */
    private String gender;
    /**
     * 生日
     */
    private Date birthday;
    /**
     * 班级id
     */
    private Long classId;
    /**
     * 电话
     */
    private String phone;
    /**
     * 家庭住址
     */
    private String addr;
    /**
     * 身份证号
     */
    private String idCard;
    /**
     * 宿舍id
     */
    private Integer roomId;
    /**
     * 写入时间
     */
    private Date writeTime;
    /**
     * 读取时间
     */
    private Date readTime;
    /**
     * 数据状态 1-启用 0-未启用
     */
    private String dataStatus;
    /**
     * 读写状态 2-已读 1-未读
     */
    private String chmodStatus;
    /**
     * 所属班级代码
     */
    private  String classCode;
    public String getClassCode() {
        return classCode;
    }

    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }




    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public Integer getRoomId() {
        return roomId;
    }

    public void setRoomId(Integer roomId) {
        this.roomId = roomId;
    }

    public Date getWriteTime() {
        return writeTime;
    }

    public void setWriteTime(Date writeTime) {
        this.writeTime = writeTime;
    }

    public Date getReadTime() {
        return readTime;
    }

    public void setReadTime(Date readTime) {
        this.readTime = readTime;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getChmodStatus() {
        return chmodStatus;
    }

    public void setChmodStatus(String chmodStatus) {
        this.chmodStatus = chmodStatus;
    }

}


